API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/loads/{loadId}/tracking/email
ark.send_tracking_link_email
Sends a customer-facing tracking link email for the active or selected tracking provider on a visible load.
- Availability
- Expanded preview
- Scopes
loads:dispatch- ARK permissions
canAssignLoads- Team visibility
- Required and enforced
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
loadIdpathstringrequired- format: uuid
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
recipientEmailstringrequiredformat: email; max length: 500
recipientNamestringmin length: 1; max length: 200
messagestring | nullmax length: 5000
senderNamestringmin length: 1; max length: 200
providerstringone of: macropoint, truckertools, internal
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/loads/<loadId>/tracking/email' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"recipientEmail": "<recipientEmail>"
}'Success response
Sent tracking link email
objectstringrequiredokbooleanrequiredapi_versionstringrequiredrequest_idstringrequireddataobjectrequireddata.loadIdstringrequiredformat: uuid
data.loadobjectrequireddata.recipientobjectrequireddata.providerstringrequiredone of: macropoint, truckertools, internal
data.providerDisplayNamestringrequireddata.trackingUrlstringrequiredformat: uri
data.emailSentbooleanrequireddata.messagestringrequiredErrors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied
HTTP 404- Resource not found
HTTP 409- Idempotency conflict or in-progress retry
HTTP 502- External provider or worker queue could not be reached